Bug 112675 - ppp0 does not connect under Fedora Core 4
ppp0 does not connect under Fedora Core 4
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks: rcn-modem
  Show dependency treegraph
 
Reported: 2003-12-27 13:24 EST by John F. Kohler
Modified: 2014-03-16 22:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 16:33:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John F. Kohler 2003-12-27 13:24:35 EST
Description of problem: After installing an upgrade to Fedora Core
from Red Hat Linux version 9, I found that the device eth0 still
worked ok, but the ppp0 device, which appeared to be installed, failed


Version-Release number of selected component (if applicable):


How reproducible: every time


Steps to Reproduce:
1.Go to Red Hat Icon,System Settings, and Network
2.Enter root password, get the network connection window
3.select ppp0 device and "activate"
4. hear the dialing routine, assume connection
5. see error message, failure to connect to browser
  
Actual results:


Expected results:


Additional info:
Comment 1 Phil Knirsch 2004-01-07 05:36:51 EST
Changing to correct compontent, system-config-network (aka
redhat-config-network).

Read ya, Phil
Comment 2 John F. Kohler 2004-01-07 10:56:26 EST
Sounds like the proper answer, but I don't understand it.  There must
be 2 components or files that control the selection of modem. Since I
am command line challenged, I'll have to ask for more help in changing
from  system-config-network to redhat-config-network
Comment 3 John F. Kohler 2005-06-17 08:11:00 EDT
Same issue has appeared on my new copy of Fedora Core 4. Now,
Internet Connection Wizard appears to set up my PCMCIA modem,
a USR 56k unit working perfectly under Fedora Core 3. 

However, when I try to dial up, I get the message "ppp0 failed, error 2"

The "minicom" modem program will talk to the modem, with AT commands, dialing, etc.
Comment 4 John F. Kohler 2005-06-17 08:15:51 EDT
Same issue has appeared on my new copy of Fedora Core 4. Now,
Internet Connection Wizard appears to set up my PCMCIA modem,
a USR 56k unit working perfectly under Fedora Core 3. 

However, when I try to dial up, I get the message "ppp0 failed, error 2"

The "minicom" modem program will talk to the modem, with AT commands, dialing, etc.
Comment 5 John F. Kohler 2005-06-20 16:29:58 EDT
Fedora 3 network configuration, searches for a modem, ignores the builtin
winmodem, found the pcmcia USR 56k modem and assigned it tty/S3.  The other data
entered on screens, phone number, id/password, entered normally and modem worked
ok.

Fedora 4 did not search for or find the pcmcia modem or the built-in winmodem.

Hope this helps.
Comment 6 Harald Hoyer 2005-06-21 03:24:59 EDT
pppd error:
       2      An error was detected in processing the options given,  such  as
              two mutually exclusive options being used.

$ rpm -qf /etc/sysconfig/network-scripts/ifup-ppp
initscripts-8.11-1

I did not change anything major from FC3 to FC4... so the fault is maybe in
ifup-ppp... Please attach your ifcfg-ppp* files.
Comment 7 John Thacker 2006-05-05 16:33:09 EDT
Closing due to lack of response from reporter.

Note You need to log in before you can comment on or make changes to this bug.